Subject: Re: bug#38529: Make --pure the default for `guix environment'?

From: Brett Gilio <[email-masked]>
Date: Mon, 09 Dec 2019 14:17:24 -0600

"Thompson, David" <[email-masked]> writes:

> Hi,
>
> I have long thought that --ad-hoc should be implied, as that is the
> mode I use 99% of the time, but I disagree that --pure should be the
> default. Most of the time I (and I suspect most other users) just want
> to temporarily augment the current environment with a package or two
> and I think that shouldn't require any special flags (neither --ad-hoc
> nor --pure).  The current default behavior of making an environment
> from package dependencies is because that's how nix-shell worked (or
> at least how I thought it worked) and 'guix environment' was created
> as a clone of that tool.
>
> - Dave

I was waiting for somebody to say this. But, I am 100% in agreement with
Dave as far as the behavior of --pure. I really would like to see either
nothing change, or we make --ad-hoc the implied default.

My reasoning confers with Dave's logic.

-- 
Brett M. Gilio
https://git.sr.ht/~brettgilio/